Index: pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia/videoport.c
===================================================================
--- pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia/videoport.c	(revision 3402)
+++ pjproject/branches/projects/2.0-dev/pjmedia/src/pjmedia/videoport.c	(revision 3420)
@@ -38,5 +38,5 @@
     pjmedia_dir		 dir;
     pjmedia_rect_size	 cap_size;
-    pjmedia_vid_stream	*strm;
+    pjmedia_vid_dev_stream	*strm;
     pjmedia_vid_cb       strm_cb;
     void                *strm_cb_data;
@@ -75,11 +75,11 @@
 };
 
-static pj_status_t vidstream_cap_cb(pjmedia_vid_stream *stream,
+static pj_status_t vidstream_cap_cb(pjmedia_vid_dev_stream *stream,
 				    void *user_data,
 				    pjmedia_frame *frame);
-static pj_status_t vidstream_render_cb(pjmedia_vid_stream *stream,
+static pj_status_t vidstream_render_cb(pjmedia_vid_dev_stream *stream,
 				       void *user_data,
 				       pjmedia_frame *frame);
-static pj_status_t vidstream_event_cb(pjmedia_vid_stream *stream,
+static pj_status_t vidstream_event_cb(pjmedia_vid_dev_stream *stream,
 			              void *user_data,
                                       pjmedia_vid_event *event);
@@ -171,6 +171,6 @@
     vid_cb.on_event_cb = &vidstream_event_cb;
 
-    status = pjmedia_vid_stream_create(&prm->vidparam, &vid_cb, vp,
-				       &vp->strm);
+    status = pjmedia_vid_dev_stream_create(&prm->vidparam, &vid_cb, vp,
+				           &vp->strm);
     if (status != PJ_SUCCESS)
 	goto on_error;
@@ -278,5 +278,5 @@
 }
 
-PJ_DEF(pjmedia_vid_stream*)
+PJ_DEF(pjmedia_vid_dev_stream*)
 pjmedia_vid_port_get_stream(pjmedia_vid_port *vp)
 {
@@ -357,5 +357,5 @@
     PJ_ASSERT_RETURN(vp, PJ_EINVAL);
 
-    status = pjmedia_vid_stream_start(vp->strm);
+    status = pjmedia_vid_dev_stream_start(vp->strm);
     if (status != PJ_SUCCESS)
 	goto on_error;
@@ -386,5 +386,5 @@
     PJ_ASSERT_RETURN(vp, PJ_EINVAL);
 
-    status = pjmedia_vid_stream_stop(vp->strm);
+    status = pjmedia_vid_dev_stream_stop(vp->strm);
 
     if (vp->enc_clock) {
@@ -414,5 +414,5 @@
     }
     if (vp->strm) {
-	pjmedia_vid_stream_destroy(vp->strm);
+	pjmedia_vid_dev_stream_destroy(vp->strm);
 	vp->strm = NULL;
     }
@@ -478,5 +478,5 @@
 	return;
 
-    status = pjmedia_vid_stream_get_frame(vp->strm, vp->enc_frm_buf);
+    status = pjmedia_vid_dev_stream_get_frame(vp->strm, vp->enc_frm_buf);
     if (status != PJ_SUCCESS)
 	return;
@@ -581,4 +581,5 @@
                 } else
                     vp->rend_sync_clocksrc.nsync_progress += ndrop;
+
                 for (i = 0; i < ndrop; i++) {
                     status = pjmedia_port_get_frame(vp->client_port,
@@ -603,5 +604,5 @@
     pjmedia_clock_src_update(&vp->rend_clocksrc, NULL);
 
-    status = pjmedia_vid_stream_put_frame(vp->strm, vp->dec_frm_buf);
+    status = pjmedia_vid_dev_stream_put_frame(vp->strm, vp->dec_frm_buf);
 }
 
@@ -615,5 +616,5 @@
 }
 
-static pj_status_t vidstream_cap_cb(pjmedia_vid_stream *stream,
+static pj_status_t vidstream_cap_cb(pjmedia_vid_dev_stream *stream,
 				    void *user_data,
 				    pjmedia_frame *frame)
@@ -634,5 +635,5 @@
 }
 
-static pj_status_t vidstream_render_cb(pjmedia_vid_stream *stream,
+static pj_status_t vidstream_render_cb(pjmedia_vid_dev_stream *stream,
 				       void *user_data,
 				       pjmedia_frame *frame)
@@ -653,5 +654,5 @@
 }
 
-static pj_status_t vidstream_event_cb(pjmedia_vid_stream *stream,
+static pj_status_t vidstream_event_cb(pjmedia_vid_dev_stream *stream,
 				      void *user_data,
 				      pjmedia_vid_event *event)
@@ -671,5 +672,5 @@
 
     if (vp->stream_role==ROLE_PASSIVE) {
-	return pjmedia_vid_stream_put_frame(vp->strm, frame);
+	return pjmedia_vid_dev_stream_put_frame(vp->strm, frame);
     } else {
 	pj_mutex_lock(vp->dec_frm_mutex);
@@ -688,5 +689,5 @@
 
     if (vp->stream_role==ROLE_PASSIVE) {
-	return pjmedia_vid_stream_get_frame(vp->strm, frame);
+	return pjmedia_vid_dev_stream_get_frame(vp->strm, frame);
     } else {
 	pj_mutex_lock(vp->enc_frm_mutex);
